summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-servers/hiawatha/files')
-rw-r--r--www-servers/hiawatha/files/hiawatha-9.5-cflags.patch17
-rw-r--r--www-servers/hiawatha/files/hiawatha.initd26
-rw-r--r--www-servers/hiawatha/files/hiawatha.service9
3 files changed, 52 insertions, 0 deletions
diff --git a/www-servers/hiawatha/files/hiawatha-9.5-cflags.patch b/www-servers/hiawatha/files/hiawatha-9.5-cflags.patch
new file mode 100644
index 00000000000..4ff33cd0d12
--- /dev/null
+++ b/www-servers/hiawatha/files/hiawatha-9.5-cflags.patch
@@ -0,0 +1,17 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Fri May 23 16:59:33 UTC 2014
+Subject: make optimization level build-type dependant
+
+--- hiawatha-9.5/CMakeLists.txt
++++ hiawatha-9.5/CMakeLists.txt
+@@ -2,7 +2,9 @@
+ project(Hiawatha C)
+
+ # Compiler
+-set(CMAKE_C_FLAGS "-O2 -Wall -Wextra ${CMAKE_C_FLAGS}")
++set(CMAKE_C_FLAGS "-Wall -Wextra ${CMAKE_C_FLAGS}")
++set(CMAKE_C_FLAGS_RELEASE "-O2")
++set(CMAKE_C_FLAGS_RELWITHDEBINFO "-O2")
+ set(CMAKE_BUILD_TYPE "RelWithDebInfo")
+
+ # Options
diff --git a/www-servers/hiawatha/files/hiawatha.initd b/www-servers/hiawatha/files/hiawatha.initd
new file mode 100644
index 00000000000..36720dc2627
--- /dev/null
+++ b/www-servers/hiawatha/files/hiawatha.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon \
+ --start \
+ --exec "/usr/sbin/hiawatha" \
+ --pidfile "/var/run/hiawatha.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon \
+ --stop \
+ --exec "/usr/sbin/hiawatha" \
+ --pidfile "/var/run/hiawatha.pid"
+ eend $?
+}
diff --git a/www-servers/hiawatha/files/hiawatha.service b/www-servers/hiawatha/files/hiawatha.service
new file mode 100644
index 00000000000..35e740b7e39
--- /dev/null
+++ b/www-servers/hiawatha/files/hiawatha.service
@@ -0,0 +1,9 @@
+[Unit]
+Description=Hiawatha webserver
+After=network.target
+
+[Service]
+ExecStart=/usr/sbin/hiawatha -d
+
+[Install]
+WantedBy=multi-user.target